Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class Message

    java.lang.Object
      com.amazonaws.services.sqs.model.Message

    public class Message

extends Object

Constructor Summary
`Message()` Default constructor for a new Message object.

Method Summary
`Map<String,String>` | `getAttributes()`
`String` | `getBody()`
`String` | `getMD5OfBody()`
`String` | `getMessageId()`
`String` | `getReceiptHandle()`
`void` | `setAttributes(Map<String,String> attributes)`
`void` | `setBody(String body)`
`void` | `setMD5OfBody(String mD5OfBody)`
`void` | `setMessageId(String messageId)`
`void` | `setReceiptHandle(String receiptHandle)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Message` | `withAttributes(Map<String,String> attributes)` Returns a reference to this object so that method calls can be chained together.
`Message` | `withBody(String body)` Returns a reference to this object so that method calls can be chained together.
`Message` | `withMD5OfBody(String mD5OfBody)` Returns a reference to this object so that method calls can be chained together.
`Message` | `withMessageId(String messageId)` Returns a reference to this object so that method calls can be chained together.
`Message` | `withReceiptHandle(String receiptHandle)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Message

    public Message()

  Default constructor for a new Message object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

Method Detail

### getMessageId

    public String getMessageId()

  Returns:

### setMessageId

    public void setMessageId(String messageId)

  Parameters:
    `messageId` -

### withMessageId

    public Message withMessageId(String messageId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `messageId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getReceiptHandle

    public String getReceiptHandle()

  Returns:

### setReceiptHandle

    public void setReceiptHandle(String receiptHandle)

  Parameters:
    `receiptHandle` -

### withReceiptHandle

    public Message withReceiptHandle(String receiptHandle)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `receiptHandle` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMD5OfBody

    public String getMD5OfBody()

  Returns:

### setMD5OfBody

    public void setMD5OfBody(String mD5OfBody)

  Parameters:
    `mD5OfBody` -

### withMD5OfBody

    public Message withMD5OfBody(String mD5OfBody)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `mD5OfBody` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBody

    public String getBody()

  Returns:

### setBody

    public void setBody(String body)

  Parameters:
    `body` -

### withBody

    public Message withBody(String body)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `body` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributes

    public Map<String,String> getAttributes()

  Returns:

### setAttributes

    public void setAttributes(Map<String,String> attributes)

  Parameters:
    `attributes` -

### withAttributes

    public Message withAttributes(Map<String,String> attributes)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.